import request from '@/utils/request';

// 专家 - 成果
export function expertAchievement(data) {
  return request({
    url: '/enterprise/v1/technology/achievement',
    method:'post',
    data
  });
}
// 专家 - 成果 -- 添加
export function achievementAdd(data) {
  return request({
    url: '/enterprise/v1/technology/achievement/add',
    method:'post',
    data
  });
}
// 专家 - 成果 -- 修改
export function achievementEdit(data) {
  return request({
    url: '/enterprise/v1/technology/achievement/edit',
    method:'post',
    data
  });
}
// 专家 - 成果 -- 下架
export function achievementShelf(data) {
  return request({
    url: '/enterprise/v1/technology/achievement/shelf',
    method:'post',
    data
  });
}
// 专家 - 成果 -- 删除
export function achievementDelete(data) {
  return request({
    url: '/enterprise/v1/technology/achievement/delete',
    method:'post',
    data
  });
}
// -----------------------------------------------------------
// 专家 - 专利
export function expertPatent(data) {
  return request({
    url: '/enterprise/v1/technology/patent',
    
    method:'post',
    data
  });
}
// 专家 - 专利 -- 添加
export function patentAdd(data) {
  return request({
    url: '/enterprise/v1/technology/patent/add',
    method:'post',
    data
  });
}
// 专家 - 专利 -- 修改
export function patentEdit(data) {
  return request({
    url: '/enterprise/v1/technology/patent/edit',
    method:'post',
    data
  });
}
// 专家 - 专利 -- 详情
export function patentDetail(data) {
  return request({
    url: '/enterprise/v1/technology/patent/detail',
    method:'post',
    data
  });
}
// 专家 - 专利 -- 删除
export function patentDelete(data) {
  return request({
    url: '/enterprise/v1/technology/patent/delete',
    method:'post',
    data
  });
}
// -----------------------------------------------------------
// 专家 - 论文
export function expertPaper(data) {
  return request({
    url: '/enterprise/v1/technology/paper',
    method:'post',
    data
  });
}
// 专家 - 论文 -- 添加
export function paperAdd(data) {
  return request({
    url: '/enterprise/v1/technology/paper/add',
    method:'post',
    data
  });
}
// 专家 - 论文 -- 修改
export function paperEdit(data) {
  return request({
    url: '/enterprise/v1/technology/paper/edit',
    method:'post',
    data
  });
}
// 专家 - 论文 -- 删除
export function paperDelete(data) {
  return request({
    url: '/enterprise/v1/technology/paper/delete',
    method:'post',
    data
  });
}
// -----------------------------------------------------------
// 专家 - 项目
export function expertProject(data) {
  return request({
    url: '/enterprise/v1/technology/project',
    method:'post',
    data
  });
}
// 专家 - 项目 -- 添加
export function projectAdd(data) {
  return request({
    url: '/enterprise/v1/technology/project/add',
    method:'post',
    data
  });
}
// 专家 - 项目 -- 修改
export function projectEdit(data) {
  return request({
    url: '/enterprise/v1/technology/project/edit',
    method:'post',
    data
  });
}
// 专家 - 项目 -- 下架
export function projectShelf(data) {
  return request({
    url: '/enterprise/v1/technology/project/shelf',
    method:'post',
    data
  });
}
// 专家 - 项目 -- 删除
export function projectDelete(data) {
  return request({
    url: '/enterprise/v1/technology/project/delete',
    method:'post',
    data
  });
}
